<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|      Milestone Theme for PHP-Fusion v6      |
|---------------------------------------------|
| author: PHP-Fusion Themes - Shedrock  2005 |
| web: http://phpfusion.org                   |
| email: webmaster@phpfusion.org              |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
require_once INCLUDES."theme_functions_include.php";

// theme settings
$body_text = "#2a2a2a";
$body_bg = "#2a2a2a";
$theme_width = "1000";
$theme_width_l = "170";
$theme_width_r = "170";
// 0 = Keine Bilder im Header; 1 = Bild links; 2 = Bild rechts; 3 = Beide Bilder
$top_pics = "3";

function render_header($header_content) {
global $theme_width,$settings,$top_pics;
	
echo "<table align='center' width='$theme_width' border='0' cellpadding='0' cellspacing='0'>
	<tr>
		<td background='".THEME."images/bl_dexter_header_01.png' width='9' height='181'>
			<img src='".THEME."images/spacer.gif' width='9' height='181'>
		</td>
		<td background='".THEME."images/bl_dexter_header_02.png' height='181'>
			<table width='100%' cellpadding='0' cellspacing='0'>
				<td width='200' valign='top' align='left'>".($top_pics == '1' || $top_pics == '3' ? "<img src='".THEME."images/top_left.png'>" : "")."</td>
				<td valign='middle' align='center'>$header_content</td>
				<td width='200' valign='top' align='right'>".($top_pics == '2' || $top_pics == '3' ? "<img src='".THEME."images/top_right.png'>" : "")."</td>
			</table>
		</td>
		<td background='".THEME."images/bl_dexter_header_03.png' width='9' height='181' align='left'>
			<img src='".THEME."images/".($top_pics == '0' || $top_pics == '1' ? "spacer.gif" : "top_right-2.png")."' width='4' height='181'>
		</td>
	</tr></table>";
echo "<table width='$theme_width' align='center' height='30' border='0' cellpadding='0' cellspacing='0'>
	<tr>
		<td background='".THEME."images/bl_dexter_headline_01.png' width='9' height='30' align='left'></td>
		<td background='".THEME."images/bl_dexter_headline_02.png' height='30'>
			<table width='100%' cellpadding='0' cellspacing='0'>
				<td align='left'>".showsublinks("&bull;","black")."</td>
				<td align='right'>".showsubdate()."</td>
			</table>
		</td>
		<td background='".THEME."images/bl_dexter_headline_03.png' width='11' height='30' align='right'>
		</td>
	</tr>	</table>";
echo "<table align='center' width='$theme_width' cellspacing='0' cellpadding='0'>\n<tr>\n";
}

function render_footer($license=false) {
global $theme_width,$locale,$settings;

echo "</tr></table>
	<table height='40' align='center' valign='middle' border='0' cellspacing='0' cellpadding='0'>
		<td>".stripslashes($settings['footer'])."</td>
	</table>
	<table width='$theme_width' align='center' border='0' cellpadding='0' cellspacing='0'>
		<tr>
			<td background='".THEME."images/bl_dexter_footer_01.png' width='56' height='50'></td>
			<td background='".THEME."images/bl_dexter_footer_02.png' height='50' align='center'>
				<table width='100%' cellpadding='0' cellspacing='0'>
					<td width='40%' align='left' height='20'>".($license == false ? "Powered by <a href='http://www.php-fusion.co.uk' target='_blank'>PHP-Fusion</a> &copy; 2003-2006" : "&nbsp;")."</td>
					<td width='35%' align='right' height='20'>Dexter Theme by: <a href='http://www.xpp-gaming.de' target='_blank'><img src='".THEME."images/fcmods.jpg' style='vertical-align: top;'></a></td>
					<td width='25%' align='right' height='20'><strong>".$settings['counter']." </strong>".($settings['counter'] == 1 ? $locale['140']."\n" : $locale['141']."\n")."</td>
				</table>
			</td>
			<td background='".THEME."images/bl_dexter_footer_03.png' width='57' height='50'></td>
		</tr></table>";
}

function render_news($subject, $news, $info) {

global $locale;
	
echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'>
	<tr>
		<td background='".THEME."images/bl_dexter_table_01.gif' width='13' height='7'></td>
		<td background='".THEME."images/bl_dexter_table_02.gif' height='7'></td>
		<td background='".THEME."images/bl_dexter_table_03.gif' width='13' height='7'></td>
	</tr>
	<tr>
		<td background='".THEME."images/bl_dexter_table_04.gif' width='13' height='22'></td>
		<td background='".THEME."images/bl_dexter_table_05.gif' height='22'><font style='color:white;font-weight:bold'>&raquo;&nbsp;".$subject."</font></td>
		<td background='".THEME."images/bl_dexter_table_06.gif' width='13' height='22'></td>
	</tr>
	<tr>
		<td background='".THEME."images/bl_dexter_table_07.gif' width='13'></td>
		<td style='background-color:#ffffff'>
		<table width='100%' cellpadding='3' cellspacing='0'><td>
		<div style='width:100%;vertical-align:top;'>$news</div><br>";
		echo "<div style='margin-top:5px'>";
		echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
		echo "<td class='infobar'>".newsposter($info)."</td>";
		echo "<td align='right' class='infobar2'>";
		echo openform("N",$info['news_id']).newsopts($info,"&middot;").closeform("N",$info['news_id']);
		echo "</td></tr></table></div></td></table>
		</td>
		<td background='".THEME."images/bl_dexter_table_09.gif' width='13'></td>
	</tr>
	<tr>
		<td background='".THEME."images/bl_dexter_table_10.gif' width='13' height='11'></td>
		<td background='".THEME."images/bl_dexter_table_11.gif' height='11'></td>
		<td background='".THEME."images/bl_dexter_table_12.gif' width='13' height='11'></td>
	</tr></table>";
}

function render_article($subject, $article, $info) {

global $locale;
	
echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'>
	<tr>
		<td background='".THEME."images/bl_dexter_table_01.gif' width='13' height='7'></td>
		<td background='".THEME."images/bl_dexter_table_02.gif' height='7'></td>
		<td background='".THEME."images/bl_dexter_table_03.gif' width='13' height='7'></td>
	</tr>
	<tr>
		<td background='".THEME."images/bl_dexter_table_04.gif' width='13' height='22'></td>
		<td background='".THEME."images/bl_dexter_table_05.gif' height='22'><font style='color:white;font-weight:bold'>&raquo;&nbsp;".$subject."</font></td>
		<td background='".THEME."images/bl_dexter_table_06.gif' width='13' height='22'></td>
	</tr>
	<tr>
		<td background='".THEME."images/bl_dexter_table_07.gif' width='13'></td>
		<td style='background-color:#ffffff'>
		<table width='100%' cellpadding='3' cellspacing='0'><td>
		<div style='width:100%;vertical-align:top;'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div><br>";
		echo "<div style='margin-top:5px'>";
		echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
		echo "<td class='infobar'>".articleposter($info)."</td>";
		echo "<td align='right' class='infobar2'>";
		echo openform("A",$info['article_id']).articleopts($info,"&middot;").closeform("A",$info['article_id']);
		echo "</td></tr></table></div></td></table>
		</td>
		<td background='".THEME."images/bl_dexter_table_09.gif' width='13'></td>
	</tr>
	<tr>
		<td background='".THEME."images/bl_dexter_table_10.gif' width='13' height='11'></td>
		<td background='".THEME."images/bl_dexter_table_11.gif' height='11'></td>
		<td background='".THEME."images/bl_dexter_table_12.gif' width='13' height='11'></td>
	</tr></table>";
}

function opentable($title) {

echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'>
	<tr>
		<td background='".THEME."images/bl_dexter_table_01.gif' width='13' height='7'></td>
		<td background='".THEME."images/bl_dexter_table_02.gif' height='7'></td>
		<td background='".THEME."images/bl_dexter_table_03.gif' width='13' height='7'></td>
	</tr>
	<tr>
		<td background='".THEME."images/bl_dexter_table_04.gif' width='13' height='22'></td>
		<td background='".THEME."images/bl_dexter_table_05.gif' height='22'><font style='color:white;font-weight:bold'>&raquo;&nbsp;".$title."</font></td>
		<td background='".THEME."images/bl_dexter_table_06.gif' width='13' height='22'></td>
	</tr>
	<tr>
		<td background='".THEME."images/bl_dexter_table_07.gif' width='13'></td>
		<td style='background-color:#ffffff'>
			<table width='100%' cellpadding='3' cellspacing='0'><td>";
}

function closetable() {

echo "</td></table>
		</td>
		<td background='".THEME."images/bl_dexter_table_09.gif' width='13'></td>
	</tr>
	<tr>
		<td background='".THEME."images/bl_dexter_table_10.gif' width='13' height='11'></td>
		<td background='".THEME."images/bl_dexter_table_11.gif' height='11'></td>
		<td background='".THEME."images/bl_dexter_table_12.gif' width='13' height='11'></td>
	</tr>
</table>";
}

function openside($title) {

echo "<table width='100%' align='center' border='0' cellpadding='0' cellspacing='0'>
	<tr>
		<td colspan='2' background='".THEME."images/bl_dexter_panel_01.gif' width='11' height='8'></td>
		<td background='".THEME."images/bl_dexter_panel_02.gif' height='8'></td>
		<td colspan='2' background='".THEME."images/bl_dexter_panel_03.gif' width='11' height='8'></td>
	</tr>
	<tr>
		<td colspan='2' background='".THEME."images/bl_dexter_panel_04.gif' width='11' height='22'></td>
		<td background='".THEME."images/bl_dexter_panel_05.gif' height='22'><font style='color:white;font-weight:bold'>&raquo;&nbsp;".$title."</font></td>
		<td colspan='2' background='".THEME."images/bl_dexter_panel_06.gif' width='11' height='22'></td>
	</tr>
	<tr>
		<td background='".THEME."images/bl_dexter_panel_07.gif' width='8'></td>
		<td colspan='3' style='background-color:#ffffff'>
			<table width='100%' cellpadding='3' cellspacing='0'><td>";
}

function closeside() {

echo "</td></table>
		</td>
		<td background='".THEME."images/bl_dexter_panel_09.gif' width='8'</td>
	</tr>
	<tr>
		<td colspan='2' background='".THEME."images/bl_dexter_panel_10.gif' width='11' height='10'></td>
		<td background='".THEME."images/bl_dexter_panel_11.gif' height='10'></td>
		<td colspan='2' background='".THEME."images/bl_dexter_panel_12.gif' width='11' height='10'></td>
	</tr>
	<tr>
		<td><img src='".THEME."images/spacer.gif' width='8' height='1' alt=''></td>
		<td><img src='".THEME."images/spacer.gif' width='3' height='1' alt=''></td>
		<td><img src='".THEME."images/spacer.gif' width='148' height='1' alt=''></td>
		<td><img src='".THEME."images/spacer.gif' width='3' height='1' alt=''></td>
		<td><img src='".THEME."images/spacer.gif' width='8' height='1' alt=''></td>
	</tr></table>";
}

function opensidex($title,$open="on") {

$boxname = str_replace(" ", "", $title);
$box_img = $open == "on" ? "off" : "on";
echo "<table width='100%' align='center' border='0' cellpadding='0' cellspacing='0'>
	<tr>
		<td colspan='2' background='".THEME."images/bl_dexter_panel_01.gif' width='11' height='8'></td>
		<td background='".THEME."images/bl_dexter_panel_02.gif' height='8'></td>
		<td colspan='2' background='".THEME."images/bl_dexter_panel_03.gif' width='11' height='8'></td>
	</tr>
	<tr>
		<td colspan='2' background='".THEME."images/bl_dexter_panel_04.gif' width='11' height='22'></td>
		<td background='".THEME."images/bl_dexter_panel_05.gif' height='22'>
				<table width='100%' cellpadding='0' cellspacing='0'>
					<td align='left'><font style='color:white;font-weight:bold'>&raquo;&nbsp;".$title."</font></td>
					<td align='right'><img onclick=\"javascript:flipBox('$title')\" name='b_$title' border='0' src='".THEME."images/panel_$box_img.gif'></td>
			</table>
		</td>
		<td colspan='2' background='".THEME."images/bl_dexter_panel_06.gif' width='11' height='22'></td>
	</tr>
	<tr>
		<td background='".THEME."images/bl_dexter_panel_07.gif' width='8'></td>
		<td colspan='3' style='background-color:#ffffff'>
			<table width='100%' cellpadding='3' cellspacing='0'><td>";
	echo "<div id='box_$title'"; if($open=="off"){ echo "style='display:none'"; } echo ">\n";

}

function closesidex() {

echo "</div></td></table>
		</td>
		<td background='".THEME."images/bl_dexter_panel_09.gif' width='8'</td>
	</tr>
	<tr>
		<td colspan='2' background='".THEME."images/bl_dexter_panel_10.gif' width='11' height='10'></td>
		<td background='".THEME."images/bl_dexter_panel_11.gif' height='10'></td>
		<td colspan='2' background='".THEME."images/bl_dexter_panel_12.gif' width='11' height='10'></td>
	</tr>
	<tr>
		<td><img src='".THEME."images/spacer.gif' width='8' height='1' alt=''></td>
		<td><img src='".THEME."images/spacer.gif' width='3' height='1' alt=''></td>
		<td><img src='".THEME."images/spacer.gif' width='148' height='1' alt=''></td>
		<td><img src='".THEME."images/spacer.gif' width='3' height='1' alt=''></td>
		<td><img src='".THEME."images/spacer.gif' width='8' height='1' alt=''></td>
	</tr></table>";
}

function tablebreak() {

	echo "<table width='100%' cellspacing='0' cellpadding='0'><tr height='7'><td></td></tr></table>\n";
}
?>
